\begin{acknowledgments}
First and foremost, I would like to thank my supervisor, \emph{Martin Gurtner}, for his advice on algorithms and proofreading.
Without him, this thesis would not be possible (or, at least, it would have been of much worse quality).
I would also like to thank \emph{Zdeněk Hurák}, head of the AA4CC research group, for inviting me to the group and for making the creation of the experimental platform possible.

I also cannot forget to mention and thank my friends and colleagues from the lab.
Namely, I would like to thank \emph{Loi Do} for making this beautiful template, and \emph{Adam Kollarčík} for building the first version of the experimental platform with me.
I would also like to thank this duo and some other friends for fixing the \emph{table football} (or \emph{foosball}) game, which has proven to be an excellent source of procrastination.

Last but not least, I would like to thank my family for their support.
They have been really great, especially for the past two months, during which I have been working on this thesis at home due to the lockdown.
\end{acknowledgments}
